Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin
Class RepositoryJrxmlFile

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.RepositoryFolder
          com.jaspersoft.jasperserver.irplugin.RepositoryFile
              com.jaspersoft.jasperserver.irplugin.RepositoryJrxmlFile

All Implemented Interfaces:
  it.businesslogic.ireport.gui.event.ReportFrameActivatedListener, java.util.EventListener

    public class RepositoryJrxmlFile

extends RepositoryFile
implements it.businesslogic.ireport.gui.event.ReportFrameActivatedListener

Author:
  gtoffoli

Constructor Summary
`RepositoryJrxmlFile(JServer server, ResourceDescriptor descriptor)` Creates a new instance of RepositoryFolder

Method Summary
`void` | `editFile()`
`static java.io.File` | `getFileFromExpression(java.lang.String exp, java.lang.String clazz, java.lang.String baseDir)`
`it.businesslogic.ireport.gui.JReportFrame` | `getReportFrame()`
`static java.lang.String` | `getValidName(java.lang.String name, ResourceDescriptor ruDesc)`
`static java.util.List` | `identifyElementValidationItems(it.businesslogic.ireport.Report report, ResourceDescriptor parentDescriptor)`
`static java.util.List` | `identifyElementValidationItems(it.businesslogic.ireport.Report report, ResourceDescriptor parentDescriptor, java.lang.String reportDir)`
`protected void` | `loadRepositoryImages(java.util.Vector elements)` Try to load images with expression starting by repo: and type String...
`void` | `reportFrameActivated(it.businesslogic.ireport.gui.event.ReportFrameActivatedEvent reportFrameActivatedEvent)`
`void` | `setReportFrame(it.businesslogic.ireport.gui.JReportFrame reportFrame)`
`java.lang.String` | `toString()`
`boolean` | `validateUrls(JServer server, RepositoryReportUnit repoUnit)` way to check for references....

Methods inherited from class com.jaspersoft.jasperserver.irplugin.RepositoryFile
`getFile, resetFileCache`

Methods inherited from class com.jaspersoft.jasperserver.irplugin.RepositoryFolder
`getDescriptor, getServer, isLoaded, setDescriptor, setLoaded, setServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryJrxmlFile

    public RepositoryJrxmlFile(JServer server,
                               ResourceDescriptor descriptor)

  Creates a new instance of RepositoryFolder

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RepositoryFile`

### reportFrameActivated

    public void reportFrameActivated(it.businesslogic.ireport.gui.event.ReportFrameActivatedEvent reportFrameActivatedEvent)

  Specified by:
    `reportFrameActivated` in interface `it.businesslogic.ireport.gui.event.ReportFrameActivatedListener`

### editFile

    public void editFile()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadRepositoryImages

    protected void loadRepositoryImages(java.util.Vector elements)

  Try to load images with expression starting by repo: and type String... This method is recursice on crosstab elements...

### getReportFrame

    public it.businesslogic.ireport.gui.JReportFrame getReportFrame()

### setReportFrame

    public void setReportFrame(it.businesslogic.ireport.gui.JReportFrame reportFrame)

### validateUrls

    public boolean validateUrls(JServer server,
                                RepositoryReportUnit repoUnit)

  way to check for references....

### getValidName

    public static java.lang.String getValidName(java.lang.String name,
                                                ResourceDescriptor ruDesc)

### getFileFromExpression

    public static java.io.File getFileFromExpression(java.lang.String exp,
                                                     java.lang.String clazz,
                                                     java.lang.String baseDir)

### identifyElementValidationItems

    public static java.util.List identifyElementValidationItems(it.businesslogic.ireport.Report report,
                                                                ResourceDescriptor parentDescriptor)

### identifyElementValidationItems

    public static java.util.List identifyElementValidationItems(it.businesslogic.ireport.Report report,
                                                                ResourceDescriptor parentDescriptor,
                                                                java.lang.String reportDir)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.